package com.iscs.bozzys.utils

import android.app.Application
import com.tencent.mmkv.MMKV

object Storage {

    /**
     * 操作对象
     */
    private lateinit var mmkv: MMKV

    /**
     * 初始化
     */
    fun init(app: Application) {
        MMKV.initialize(app)
        mmkv = MMKV.defaultMMKV()
    }

    /**
     * 保存当前登录状态
     */
    fun saveLogin(isLogin: Boolean) {
        mmkv.encode("is_login", isLogin)
    }

    /**
     * 是否已经登录
     */
    fun isLogin(): Boolean {
        return mmkv.decodeBool("is_login", false)
    }

    /**
     * 存储token
     */
    fun String?.saveToken() {
        mmkv.encode("user_token", this ?: "")
    }

    /**
     * 获取token
     */
    fun readToken(): String {
        return mmkv.decodeString("user_token", "") ?: ""
    }

    /**
     * 保存用户名
     */
    fun String?.saveUserName() {
        mmkv.encode("user_name", this ?: "")
    }

    /**
     * 读取用户名
     */
    fun readUserName(): String {
        return mmkv.decodeString("user_name", "") ?: ""
    }

}